clear;                             
x=-3:0.2:3;
[X,Y]=meshgrid(x);           %生成矩阵网格数据
Z=sqrt(X.^2+Y.^2)./ cos(sqrt(X.^2+Y.^2));
subplot(2,2,1);mesh(X,Y,Z)    %绘制三维网格图
title('mesh')
subplot(2,2,2);surf(X,Y,Z)    %绘制三维表面图
title('surf')
subplot(2,2,3);surfc(X,Y,Z)   %绘制带有等高线的表面图
title('surfc')
subplot(2,2,4);surfl(X,Y,Z)   %绘制带有光照效果的表面图
title('surfl')






